> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Get E-Way Bills by date and state

> Get E-Way Bills by generated date and generator's state code. Optionally, fetch E-Way Bills for assigned date and generator's state code.

#### Response schema

For successful responses, this reference describes the NIC E-Way Bill payload at `data.data`.

<Card title="View JSON schema" icon="code" href="https://raw.githubusercontent.com/in-co-sandbox/in-co-sandbox-docs/refs/heads/main/data/gst/schema/request/e-way-bill/get_e_way_bills_by_date_and_state.json" arrow="true" horizontal />


## OpenAPI

````yaml api-reference/gst/compliance/openapi.json GET /gst/compliance/e-way-bill/transporter/bills
openapi: 3.0.1
info:
  title: in-co-sandbox-gst-compliance
  description: >-
    **GST Compliance API** enables businesses to automate compliance
    requirements like [Taxpayer
    verification](https://developer.sandbox.co.in/reference/search-gstin-api),
    [GSTR
    Filing](https://developer.sandbox.co.in/reference/gst-taxpayer-authentication),
    [Generating
    E-Invoices](https://developer.sandbox.co.in/reference/e-invoice-authentication-api),
    and [E-Way
    Bills](https://developer.sandbox.co.in/reference/e-way-bill-authentication-api).We
    provide these APIs from GSTN-authorised GST Suvidha Providers, handling the
    encryption-decryption and signing so you don't have to handle the
    complexities.
  version: 1.0.0
servers:
  - url: https://api.sandbox.co.in
  - url: https://test-api.sandbox.co.in
security: []
tags:
  - name: Public
  - name: Taxpayer
  - name: Taxpayer Auth
  - name: Returns
  - name: GSTR-1 Documents
  - name: File GSTR-1
  - name: GSTR-2A Documents
  - name: GSTR-2B Document
  - name: File GSTR-3B
  - name: GSTR-4
  - name: File GSTR-9
  - name: Invoice Management System
  - name: GSTR-1A Documents
  - name: File GSTR-1A
  - name: Ledgers
  - name: e-Invoice
  - name: Sales e-Invoices for return period
  - name: Purchase e-Invoices for return period
  - name: Front Office Notices
  - name: Front Office
  - name: AATO
  - name: e-Invoice1
  - name: Authentication
  - name: e-Invoice12
  - name: E-Way Bill
  - name: E-Way Bill1
  - name: Authentication1
  - name: Consignor
  - name: Consolidated E-Way Bill
  - name: Multi-Vehicle Movement
  - name: Consignee
  - name: Transporter
  - name: Consolidated E-Way Bill1
  - name: Multi-vehicle Movement
  - name: Common
paths:
  /gst/compliance/e-way-bill/transporter/bills:
    get:
      tags:
        - E-Way Bill1
        - Transporter
      summary: Get E-Way Bills by date and state
      description: >-
        By generated date


        [https://docs.ewaybillgst.gov.in/apidocs/version1.03/get-eway-bill-transporter-date-and-state.html#overview](https://docs.ewaybillgst.gov.in/apidocs/version1.03/get-eway-bill-transporter-date-and-state.html#overview)


        By assigned date


        [https://docs.ewaybillgst.gov.in/apidocs/version1.03/get-eway-bill-transporter-assigned-state-and-date.html#overview](https://docs.ewaybillgst.gov.in/apidocs/version1.03/get-eway-bill-transporter-assigned-state-and-date.html#overview)
      operationId: getEWayBillsByDateAndState
      parameters:
        - name: generated_date
          in: query
          description: E-Way Bill generated date
          required: false
          schema:
            type: string
            example: 19/09/2024
        - name: generator_state_code
          in: query
          description: State code of the E-Way Bill generator
          required: true
          schema:
            type: string
            example: '29'
        - name: assigned_date
          in: query
          description: E-Way Bill assigned date
          required: false
          schema:
            type: string
            example: 19/09/2024
        - name: authorization
          in: header
          description: >-
            E-Way Bill access token. For token-generation steps, refer to the
            [Generate E-Way Bill
            Session](/recipes/gst/authentication/generate_e_way_bill_session)
            recipe, then pass the token in the authorization header.
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key for identification
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API version
          required: false
          example: ''
          schema:
            type: string
            default: 1.0.0
      responses:
        '200':
          description: 200 EWBs fetched / 336 Could not retrieve data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetTransporterEWayBillsResponse'
              examples:
                200 EWBs fetched:
                  summary: 200 EWBs fetched
                  value:
                    code: 200
                    data:
                      data:
                        - delPinCode: 560090
                          delPlace: Beml Nagar
                          delStateCode: 29
                          docDate: 01/05/2024
                          docNo: 7001-11
                          ewbDate: 03/05/2024 12:27:00 PM
                          ewbNo: 221010077190
                          extendedTimes: 0
                          genGstin: 27AAACQ3770E004
                          rejectStatus: 'N'
                          status: ACT
                          validUpto: 08/05/2024 11:59:00 PM
                      status: '1'
                    timestamp: 1763446641000
                    transaction_id: 7922b130-9e68-4949-af57-852280503a04
                336 Could not retrieve data:
                  summary: 336 Could not retrieve data
                  value:
                    code: 200
                    data:
                      error:
                        errorCodes: '336'
                      info: ''
                      status: '0'
                    timestamp: 1763446641000
                    transaction_id: 9f193e7b-627f-45b7-82ac-19f0b77df73e
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    GetTransporterEWayBillsResponse:
      oneOf:
        - $ref: '#/components/schemas/GetTransporterEWayBillsSuccessResponse'
        - $ref: '#/components/schemas/EWayBillBusinessErrorResponse'
      description: >-
        An E-Way Bill success or NIC business-failure response. Both variants
        use HTTP 200.
    GetTransporterEWayBillsSuccessResponse:
      allOf:
        - $ref: '#/components/schemas/EWayBillResponseMetadata'
        - type: object
          required:
            - data
          properties:
            data:
              type: object
              properties:
                data:
                  $ref: '#/components/schemas/GetTransporterEWayBillsSuccessPayload'
                error:
                  type: object
                  properties:
                    errorCodes:
                      type: string
                      example: '336'
                info:
                  type: string
                  example: ''
                status:
                  type: string
                  example: '1'
                  enum:
                    - '1'
                  description: NIC success status.
    EWayBillBusinessErrorResponse:
      allOf:
        - $ref: '#/components/schemas/EWayBillResponseMetadata'
        - type: object
          required:
            - data
          properties:
            data:
              type: object
              required:
                - status
                - error
              properties:
                status:
                  type: string
                  enum:
                    - '0'
                  description: NIC sends "0" when it rejects a request.
                error:
                  $ref: '#/components/schemas/EWayBillBusinessError'
    EWayBillResponseMetadata:
      type: object
      description: Metadata returned with every E-Way Bill response.
      required:
        - code
        - timestamp
        - transaction_id
      properties:
        code:
          type: integer
          enum:
            - 200
          description: NIC response code.
        timestamp:
          type: integer
          format: int64
          description: Unix timestamp.
        transaction_id:
          type: string
          description: Request transaction identifier.
    GetTransporterEWayBillsSuccessPayload:
      type: array
      items:
        type: object
        properties:
          delPinCode:
            type: number
            example: 560090
            description: The delPinCode value.
          delPlace:
            type: string
            example: Beml Nagar
            description: The delPlace value.
          delStateCode:
            type: number
            example: 29
            description: The delStateCode value.
          docDate:
            type: string
            example: 01/05/2024
            description: The docDate value.
          docNo:
            type: string
            example: 7001-11
            description: The docNo value.
          ewbDate:
            type: string
            example: 03/05/2024 12:27:00 PM
            description: The ewbDate value.
          ewbNo:
            type: number
            example: 221010077190
            description: The ewbNo value.
          extendedTimes:
            type: number
            example: 0
            description: The extendedTimes value.
          genGstin:
            type: string
            example: 27AAACQ3770E004
            description: The genGstin value.
          rejectStatus:
            type: string
            example: 'N'
            description: The rejectStatus value.
          status:
            type: string
            example: ACT
            description: The status value.
          validUpto:
            type: string
            example: 08/05/2024 11:59:00 PM
            description: The validUpto value.
        description: E-Way Bill schema.
      example:
        - delPinCode: 560090
          delPlace: Beml Nagar
          delStateCode: 29
          docDate: 01/05/2024
          docNo: 7001-11
          ewbDate: 03/05/2024 12:27:00 PM
          ewbNo: 221010077190
          extendedTimes: 0
          genGstin: 27AAACQ3770E004
          rejectStatus: 'N'
          status: ACT
          validUpto: 08/05/2024 11:59:00 PM
    EWayBillBusinessError:
      type: object
      description: Error data from NIC.
      required:
        - errorCodes
      properties:
        errorCodes:
          type: string
          description: >-
            NIC error code. See [E-Way Bill error
            codes](/api-reference/gst/annexures/e-way-bill-error-codes).

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.